---
- name: Do something when file changes
  hosts: fileshare
  gather_facts: false
  sources:
    - name: File to watch
      ansible.eda.file:
        - /home/seandersont/eda_file
  rules:
    - name: file changed
      condition: event.changed == true
      action:
        debug
